### Function

# RB SourceSearchBasic add_to_menu

#### Declaration [src]

    void
    rb_source_search_basic_add_to_menu (
      GMenu* menu,
      const char* action_namespace,
      GAction* search_action,
      RhythmDBPropType prop,
      const char* name,
      const char* label
    )

#### Description [src]

Adds an item to `menu` that will select a search based on the specified property. If there isn’t already a registered search instance for the property, one is created.

#### Parameters

`menu`

  Type: `GMenu`

  The `GMenu` to populate.

  The data is owned by the caller of the function.

`action_namespace`

  Type: `const char*`

  Action namespace to use for the action (“app” or “win”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`search_action`

  Type: `GAction`

  The search action to associate the search with.

  The data is owned by the caller of the function.

`prop`

  Type: `RhythmDBPropType`

  The property to search on.

`name`

  Type: `const char*`

  Short untranslated name for the search.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  Descriptive translatable label for the search.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.